DCDICT(1)

NAME
dcdict - ACR/NEMA DICOM PS3 ... Extract dictionary elements

SYNOPSIS

dcdict [ -key|k attributename ] [ -tag|t group element ]

DESCRIPTION

dcdict reads the attribute name or group/element numbers from the command line, looks up the corresponding attribute in the DICOM data dictionary, and describes it.

OPTIONS
The description of the element goes to standard error.

Options specific to this program are:

-k|key  attributename
    Extract attributename from the dictionary.

-tag|t  group element
    Extract (group,element) from the dictionary. Note that group and element are assumed to be decimal unless preceded by 0x (hexadecimal) or 0 (octal).

ENVIRONMENT

EXAMPLES

% dcdict -k Rows -k Columns
(0x0028,0x0010) US Rows
(0x0028,0x0011) US Columns
% dcdict -t 0x28 0x10
(0x0028,0x0010) US Rows

FILES

SEE ALSO

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS